| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
wxMatrix2D Class Reference
Miscellaneous

`#include <wx/affinematrix2dbase.h>`

## Detailed Description

A simple container for 2x2 matrix.

This simple structure is used with wxAffineMatrix2D.

##

Library: wxCore
Category: Miscellaneous

Since
  2.9.2

## Public Member Functions

| wxMatrix2D (wxDouble v11=1, wxDouble v12=0, wxDouble v21=0, wxDouble v22=1)
| Default constructor.

## Public Attributes

wxDouble | m_11
| The matrix elements in the usual mathematical notation.
wxDouble | m_12
wxDouble | m_21
wxDouble | m_22

## Constructor & Destructor Documentation

wxMatrix2D::wxMatrix2D | ( | wxDouble | v11 = `1`,
|  | wxDouble | v12 = `0`,
|  | wxDouble | v21 = `0`,
|  | wxDouble | v22 = `1`
| ) |  |

Default constructor.

Initializes the matrix elements to the identity.

## Member Data Documentation

wxDouble wxMatrix2D::m_11

The matrix elements in the usual mathematical notation.

wxDouble wxMatrix2D::m_12

wxDouble wxMatrix2D::m_21

wxDouble wxMatrix2D::m_22